package com.lanyuanxiaoyao.service.common.entity.compaction;

import java.util.Deque;

/**
 * 队列
 *
 * @author ZhangJiacheng
 * @date 2022-09-26
 */
public interface ScheduleQueue extends Deque<ScheduleJob> {
    Iterable<ScheduleJob> poll(int limit);

    Iterable<ScheduleJob> pollWithoutSame(int limit);
}
